MPICC=mpicc
override CFLAGS += -O2
override LIBS += -lm
# CFLAGS=-O2
# LIBS=-lm

ifeq (run,$(firstword $(MAKECMDGOALS)))
  # use the rest as arguments for "run"
  RUN_ARGS := $(wordlist 2,$(words $(MAKECMDGOALS)),$(MAKECMDGOALS))
  # ...and turn them into do-nothing targets
  $(eval $(RUN_ARGS):;@:)
endif


main: mpi.c
	${MPICC} ${CFLAGS} $< -o mpi ${LIBS}

run:
	mpirun --allow-run-as-root -np 4 ./mpi $(RUN_ARGS)

clean:
	rm mpi
